@echo off
set indir=C:\w365net\Export
if not "%indir:~-1%" == "\" set indir=%indir%\
set infile=%indir%weather365net.txt
set outfile=%indir%weather365post.txt
set logfile=%indir%weather365post.log
set wait=10
set target=https://channel1.weather365.net/stations/index.php

rem set time to wait via parameter
if not "%1"=="" (set wait=%1)

rem make sure directory exists
if not exist %indir% mkdir %indir%

rem make sure curl.exe exists
where /q curl.exe || set out=curl.exe wurde nicht gefunden - bitte nachinstallieren! && goto error
echo.
if exist %infile% (
  rem just wait 10 seconds
  echo Warte %wait% Sekunden um sicherzugehen, dass die Eingabedatei fertiggestellt ist
  echo.
  ping -n %wait% 127.0.0.1 > nul

  rem convert the file to a separated line
  SETLOCAL EnableDelayedExpansion
  set out=
  for /f "tokens=*" %%i in (%infile%) do ( set "out=!out!^^&%%i" )
) else (
  set out=Eingabedatei %infile% nicht gefunden!
  goto error
)

rem create the output file
echo %out% > %outfile%

rem send file via http/POST
curl -s --fail --show-error -X POST --data-ascii @%outfile% %target%
echo.
if not %errorlevel% == 0 (
  set out=Problem mit cURL!
  goto error
)
rem eleganter waere direkt den String zu senden - das klappt aber so noch nicht mit Rueckmeldung
rem for /F "tokens=1 Delims= " %%i in ('curl -s -X POST -d "%out%" %target%') do @set status=%%i

goto ende

:error
echo %out%
echo.
pause

:ende
rem log lines
echo %date% %time% %status% %out% >> %logfile%
echo.
echo Erledigt.
